﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGrid_ComboBoxDemo
{
   public class OrderInfo:INotifyPropertyChanged
    {
        #region Private members

        private int productId;
        private string _productName;
        private double _NoOfOrders;
        private DateTime _orderDate;
        private string countryName;
        private string shipCity;
        #endregion
       
       #region Public properties

        public int ProductId
        {
           get
            {
                return productId;
            }
           set
            {
                productId = value;
                this.RaisePropertyChanged("ProductId");
            }
        }
      
        public string ProductName
        {
            get
            {
                return _productName;
            }
            set
            {
                _productName = value;
                RaisePropertyChanged("ProductName");
            }
        }

        public double NoOfOrders
        {
            get
            {
                return _NoOfOrders;
            }
            set
            {
                _NoOfOrders = value;
                RaisePropertyChanged("NoOfOrders");
            }
        }

        public DateTime OrderDate
        {
            get
            {
                return _orderDate;
            }
            set
            {
                _orderDate = value;
                RaisePropertyChanged("OrderDate");
            }
        }      

        public string CountryName
        {
            get
            {
                return countryName;
            }
            set
            {
                countryName = value;
                RaisePropertyChanged("CountryDescription");
            }
        }
        
        public string ShipCity
        {
            get
            {
                return shipCity;
            }
            set
            {
                shipCity = value;
                RaisePropertyChanged("ShipCity");
            }
        }

        private int monthid;
        public int MonthID
        {
            get
            {
                return monthid;
            }
            set
            {
                monthid = value;
                RaisePropertyChanged("MonthID");
            }
        }


        public ObservableCollection<MonthDetails> Monthdetails { get; set; }
        

        #endregion

       public OrderInfo()
        {

        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void RaisePropertyChanged(string propName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
    }

   public class MonthDetails:INotifyPropertyChanged
   {
       private string month;
       private int monthId;

       public int MonthID
       {
           get
           {
               return monthId;
           }
           set
           {
               monthId = value;
               this.RaisePropertyChanged("MonthID");
           }
       }

       public string MonthName
       {
           get
           {
               return month;
           }
           set
           {
               month = value;
               RaisePropertyChanged("MonthName");
           }
       }

       public event PropertyChangedEventHandler PropertyChanged;
       public void RaisePropertyChanged(string propName)
       {
           if (this.PropertyChanged != null)
               this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
       }
   }

    

}
