﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGrid_ComboBoxDemo
{   
    public class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<OrderInfo> orderList;
        public ObservableCollection<OrderInfo> OrderList
        {
            get
            {
                return orderList;
            }
            set
            {
                orderList = value;
                RaisePropertyChanged("OrderList");
            }
        }
        public ViewModel()
        {
            monthlist = new ObservableCollection<MonthDetails>()
            {
                new MonthDetails() { MonthID = 1, MonthName= "January" },
                new MonthDetails() { MonthID = 2, MonthName= "February" },
                new MonthDetails() { MonthID = 3, MonthName= "March" },
                new MonthDetails() { MonthID = 4, MonthName= "April" },
                new MonthDetails() { MonthID = 5, MonthName= "May" },
                new MonthDetails() { MonthID = 6, MonthName= "June" },
                new MonthDetails() { MonthID = 7, MonthName= "July" },
                new MonthDetails() { MonthID = 8, MonthName= "August" },
                new MonthDetails() { MonthID = 9, MonthName= "September" },
                new MonthDetails() { MonthID = 10,MonthName = "October" },
                new MonthDetails() { MonthID = 11,MonthName = "November" },
                new MonthDetails() { MonthID = 12,MonthName = "December" }
            };


            orderList = new ObservableCollection<OrderInfo>();
            orderList.Add(new OrderInfo() { MonthID = 1,  Monthdetails = monthlist, ProductId = 1001, ProductName = "Alice Mutton", NoOfOrders = 10, OrderDate = new DateTime(2015, 5, 2), CountryName = "Argentina", ShipCity = "Buenos Aires" });
            orderList.Add(new OrderInfo() { MonthID = 2,  Monthdetails = monthlist, ProductId = 1002, ProductName = "NuNuCa-Creme", NoOfOrders = 10, OrderDate = new DateTime(2015, 5, 20), CountryName = "Austria", ShipCity = "Graz" });
            orderList.Add(new OrderInfo() { MonthID = 3,  Monthdetails = monthlist, ProductId = 1003, ProductName = "Boston Crab Meat", NoOfOrders = 100, OrderDate = new DateTime(2015, 5, 3), CountryName = "Belgium", ShipCity = "Bruxelles" });
            orderList.Add(new OrderInfo() { MonthID = 4,  Monthdetails = monthlist, ProductId = 1004, ProductName = "Konbu", NoOfOrders = 50, OrderDate = new DateTime(2015, 5, 13), CountryName = "Brazil", ShipCity = "Campinas" });
            orderList.Add(new OrderInfo() { MonthID = 5,  Monthdetails = monthlist, ProductId = 1005, ProductName = "Boston Crab Meat", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 23), CountryName = "Canada", ShipCity = "Montréal" });
            orderList.Add(new OrderInfo() { MonthID = 6,  Monthdetails = monthlist, ProductId = 1006, ProductName = "Raclette Courdavault", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 13), CountryName = "Denmark", ShipCity = "Århus" });
            orderList.Add(new OrderInfo() { MonthID = 7,  Monthdetails = monthlist, ProductId = 1007, ProductName = "Wimmers gute", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 13), CountryName = "Finland", ShipCity = "Helsinki" });
            orderList.Add(new OrderInfo() { MonthID = 8,  Monthdetails = monthlist, ProductId = 1008, ProductName = "Gorgonzola Telino", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 13), CountryName = "France", ShipCity = "Lille" });
            orderList.Add(new OrderInfo() { MonthID = 9,  Monthdetails = monthlist, ProductId = 1009, ProductName = "Fløtemysost", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 13), CountryName = "Germany", ShipCity = "Aachen" });
            orderList.Add(new OrderInfo() { MonthID = 10, Monthdetails = monthlist, ProductId = 1010, ProductName = "Chartreuse ", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 13), CountryName = "Italy", ShipCity = "Bergamo" });
            orderList.Add(new OrderInfo() { MonthID = 11, Monthdetails = monthlist, ProductId = 1011, ProductName = "Thüringer", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 13), CountryName = "Ireland", ShipCity = "Cork" });
            orderList.Add(new OrderInfo() { MonthID = 12, Monthdetails = monthlist, ProductId = 1012, ProductName = "Vegie-spread", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 13), CountryName = "Mexico", ShipCity = "México D.F." });
        }

        private ObservableCollection<MonthDetails> monthlist;
        public ObservableCollection<MonthDetails> MonthList
        {
            get
            {
                return monthlist;
            }
            set
            {
                monthlist = value;
                RaisePropertyChanged("MonthList");
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;
        public void RaisePropertyChanged(string propName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
    }
}
